import sys

from PyQt5.QtWidgets import (QVBoxLayout, QLineEdit,QGridLayout,
 QApplication, QLabel, QMenu, QWidget, QHBoxLayout,QDialog,
 QAction, QTextEdit,QPushButton, qApp, QMessageBox, QInputDialog,
 QMainWindow, QFrame, QFileDialog, QCheckBox, QProgressBar,
 QListWidget, QCompleter, QComboBox)
from PyQt5.QtGui import (QIcon, QFont, QColor, QPixmap, QDrag, QPainter,
 QBrush, QPen,QStandardItem,QStandardItemModel)
from PyQt5.QtCore import (QCoreApplication, Qt, QObject, pyqtSignal,
 QMimeData, )

class about_vectot_to_SubWindow(QWidget):

    def __init__(self):
        super().__init__()

        self.about_vector_to()

    def about_vector_to(self):
        self.w=QDialog()

        main_text=QLabel()
        main_text.setText('Vector_toについて<br>version 0.2.1<br>copyright (c) 2018- 竹岡志朗<br>このアプリケーションのライセンスはGPLです')

        sub_program=QLabel()
        sub_program.setText("このプログラムは<br>fastText<br>MySQL<br>MeCab<br>その他の様々なpythonライブラリ<br>インターネット上に掲載された多くのコード<br>によって機能しています<br>勝手に使用したことをお詫びするとともに、皆様に感謝いたします")

        main_layout=QVBoxLayout()
        main_layout.addWidget(main_text)
        main_layout.addWidget(sub_program)

        self.w.setGeometry(700, 300, 300, 350)
        self.w.setWindowTitle('Vector toについて')

        self.w.setLayout(main_layout)

    def show(self):
        self.w.exec_()

if __name__=="__main__":
    app=QApplication(sys.argv)
    about_vectot_to_SubWindow().show()
    sys.exit(app.exec_())
